## indi-maxdomeii 1.3+20221223105522

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(indi_maxdomeii C CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(INDI_MAXDOMEII_VERSION_MAJOR 1)
set(INDI_MAXDOMEII_VERSION_MINOR 3)

find_package(INDI REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_maxdomeii.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/indi_maxdomeii.xml)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})

include(CMakeCommon)

###############
## MaxDome II
###############

set(indimaxdomeii_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/maxdomeiidriver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/maxdomeii.cpp
)

add_executable(indi_maxdomeii ${indimaxdomeii_SRCS})

target_link_libraries(indi_maxdomeii ${INDI_LIBRARIES})

install(TARGETS indi_maxdomeii RUNTIME DESTINATION bin )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_maxdomeii.xml DESTINATION ${INDI_DATA_DIR})

##############
# Testing
##############

if (INDI_BUILD_UNITTESTS)
    # Workaround for fixing a linking error caused by "-pie" flag in CMakeCommon
    if (NOT APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "-Wl,-z,nodump -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
    endif ()

    enable_testing()

    find_package(GTest REQUIRED)

    include_directories (${GTEST_INCLUDE_DIRS})

    add_executable(test-maxdomeii test_maxdomeii.cpp ${indimaxdomeii_SRCS})

    target_link_libraries(test-maxdomeii
        ${INDI_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
    )

    add_test(run-tests test-maxdomeii)
endif()

## indi-maxdomeii 1.3

=== debian/changelog ===
indi-maxdomeii (1.3-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 15:05:27 +0100

indi-maxdomeii (1.3-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 18:05:27 +0000

=== debian/control ===
Source: indi-maxdomeii
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indo-maxdomeii
Vcs-Git: https://salsa.debian.org/debian-astro-team/indo-maxdomeii.git

Package: indi-maxdomeii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for MaxDome II dome control system
 This package contains an INDI driver for the  MaxDome II dome control
 system. It is a fully automatic observatory dome control system.
 Link your dome to a personal computer for complete automation including
 telescope slaving and shutter control. MaxDome works with a wide variety
 of commercial and custom-built domes.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-maxdomeii 1.3+20221223105522

=== debian/changelog ===
indi-maxdomeii (1.3+20221223105522-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Thorsten Alteholz ]
  * add cmake4.patch (Closes: #1113025)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:31:32 +0200

indi-maxdomeii (1.3+20221223105522-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.3

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 10:56:36 +0000

indi-maxdomeii (1.3-3) unstable; urgency=medium

  * debian/control: fix typo in VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Jun 2022 10:05:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 	, libindi-dev
 	, libnova-dev
 	, zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/indo-maxdomeii
-Vcs-Git: https://salsa.debian.org/debian-astro-team/indo-maxdomeii.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-maxdomeii
+Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-maxdomeii.git
 
 Package: indi-maxdomeii
 Architecture: any
